<button type="button" class="btn btn-secondary btn-flat" (click)="openModal(template)"><i class="fas fa-file-csv mr-1"></i>Mitgliederliste hochladen</button>

<ng-template #template>
  <div class="modal-header">
    <h5 class="modal-title pull-left">Mitgliederliste hochladen</h5>
    <button type="button" class="close pull-right" aria-label="Close" (click)="modalRef.hide()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="custom-file">
      <input type="file" class="custom-file-input" id="csvFile" name="userCsv" (change)="fileChangeListener($event)">
      <label class="custom-file-label" for="csvFile" data-browse="Suchen">
        <ng-container *ngIf="file && file.name">
          {{file.name}}
        </ng-container>
        <ng-container *ngIf="!file">
          Datei hochladen
        </ng-container>
      </label>
    </div>
    <small id="uploadHelpBlock" class="form-text">
      Es wird eine Liste mit E-Mailadressen benötigt im CSV Format.
    </small>
    <h6>Beispielformat:</h6>
    <pre class="card card-header">donald.duck@mail.de,daisy.duck@entenhausen.com</pre>
    <div class="mt-2" *ngIf="uploadStarted">
      <progressbar max="100" [value]="percentDone" type="success" [striped]="true" [animate]="true"><i>{{percentDone}} %</i></progressbar>
    </div>
    <div class="mt-2">
      <alert type="success" *ngIf="percentDone == 100">
        <strong>Upload erfolgreich!</strong>
      </alert>
    </div>
    <div class="mt-2">
      <alert type="danger" *ngIf="wrongType">
        <strong>Ungültiges Dateiformat!</strong>
      </alert>
    </div>
    <div *ngIf="parsedMails && parsedMails.length > 0">
      <h6>Gefundene Mailadressen:</h6>
      <ul>
        <li *ngFor="let mail of parsedMails">
          {{mail}}
        </li>
      </ul>
    </div>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="modalRef.hide()">Schließen</button>
    <button type="button" class="btn btn-success" data-dismiss="modal" (click)="submit()" [disabled]="wrongType || !file">Hochladen</button>
  </div>
</ng-template>